=== debian/watch ===
version=4
opts=repacksuffix=+dfsg,dversionmangle=s/(\da?)[\+\.\-~](?:dfsg|debian|ds|repack|repacked)\.?\d*$/$1/ \
https://github.com/bulletphysics/bullet3/tags \
.*/(\d\S+)\.tar\.gz
